Skip to main content
GET
/
metrics
/
dashboard
/
data-transferred
Get Data Transferred Volume
curl --request GET \
  --url https://v1.api.altostrat.io/metrics/dashboard/data-transferred \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/metrics/dashboard/data-transferred"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/metrics/dashboard/data-transferred', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "time_slot": "2025-10-29 10:00:00",
    "total_in_bytes": 937500000,
    "total_out_bytes": 176250000,
    "total_combined_bytes": 1113750000
  }
]
{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}
{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
string<date-time>

The start of the time window in ISO 8601 format (YYYY-MM-DDTHH:MM:SS). Defaults to 4 hours ago.

Example:

"2025-10-29T08:00:00"

end_time
string<date-time>

The end of the time window in ISO 8601 format (YYYY-MM-DDTHH:MM:SS). Defaults to the current time.

Example:

"2025-10-29T12:00:00"

bucket_interval_minutes
integer
default:5

The time interval in minutes for aggregating data points.

Example:

15

site_ids[]
string<uuid>[]

An array of Site UUIDs to filter the results. If omitted, data from all accessible sites will be aggregated.

Response

A list of data volume data points aggregated into time buckets.

time_slot
string<date-time>

The start time of the aggregation bucket.

Example:

"2025-10-29 10:00:00"

total_in_bytes
integer<int64>

The total volume of inbound data in bytes for this time slot.

Example:

937500000

total_out_bytes
integer<int64>

The total volume of outbound data in bytes for this time slot.

Example:

176250000

total_combined_bytes
integer<int64>

The combined total volume of data in bytes.

Example:

1113750000